Yesod.Routes.TH

# Data types

data Resource typ

data ResourceTree typ

data Piece typ

data Dispatch typ

type CheckOverlap

data FlatResource a

## Helper functions

resourceMulti

resourceTreePieces

resourceTreeName

flatten

# Functions

## RenderRoute

mkRenderRouteInstance

mkRenderRouteInstance'

mkRouteCons

mkRenderRouteClauses

## ParseRoute

mkParseRouteInstance

mkRouteAttrsInstance

## Dispatch

mkDispatchClause

data MkDispatchSettings

defaultGetHandler